function  [A, V]= evaluateArea(X, Y, w)
%This function evaluates the internal area of a CLOSED polygon and the
%volume given the shape thickness
%INPUT: 
% X, Y : polygon coordinates vectors
% w : thickness (same measuring unit of X, Y vectors!!!)
%OUTPUT
% A : Area of the polygon
%V : Volume

if length(X) > 1
A = polyarea( X, Y );
V= A*w;
else, A = 0; V = 0;
end

end